| QxOrm 1.2.3 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Private Member Functions | Static Private Member Functions | Private Attributes | Friends
qx::QxTimeNeutral Class Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::QxTimeNeutral : helper class to store a time value into database under neutral format (HHMMSS) => cross database compatibility More...

`#include <QxTimeNeutral.h>`

List of all members.

## Public Member Functions
| QxTimeNeutral ()
| QxTimeNeutral (const QTime &time)
| QxTimeNeutral (const QString &neutral)
virtual | ~QxTimeNeutral ()
QTime | toTime () const
QString | toNeutral () const
bool | isValid () const
void | setTime (const QTime &time)
void | setNeutral (const QString &neutral)
## Static Public Member Functions
static QxTimeNeutral | fromTime (const QTime &time)
static QxTimeNeutral | fromNeutral (const QString &neutral)
## Private Member Functions
void | update ()
template<class Archive >
void | serialize (Archive &ar, const unsigned int file_version)
## Static Private Member Functions
static const char * | format ()
## Private Attributes
QTime | m_time
| Data value under QTime format from Qt library.
QString | m_neutral
| Data value under neutral format 'hhmmss'.
## Friends
class | boost::serialization::access

## Detailed Description

qx::QxTimeNeutral : helper class to store a time value into database under neutral format (HHMMSS) => cross database compatibility

Definition at line 55 of file QxTimeNeutral.h.

## Constructor & Destructor Documentation

qx::QxTimeNeutral::QxTimeNeutral | ( |  | ) | `[inline]`

Definition at line 67 of file QxTimeNeutral.h.

qx::QxTimeNeutral::QxTimeNeutral | ( | const QTime & | time | ) | `[inline, explicit]`

Definition at line 68 of file QxTimeNeutral.h.

qx::QxTimeNeutral::QxTimeNeutral | ( | const QString & | neutral | ) | `[inline, explicit]`

Definition at line 69 of file QxTimeNeutral.h.

virtual qx::QxTimeNeutral::~QxTimeNeutral | ( |  | ) | `[inline, virtual]`

Definition at line 70 of file QxTimeNeutral.h.

## Member Function Documentation

static const char* qx::QxTimeNeutral::format | ( |  | ) | `[inline, static, private]`

Definition at line 84 of file QxTimeNeutral.h.

static QxTimeNeutral qx::QxTimeNeutral::fromNeutral | ( | const QString & | neutral | ) | `[inline, static]`

Definition at line 80 of file QxTimeNeutral.h.

static QxTimeNeutral qx::QxTimeNeutral::fromTime | ( | const QTime & | time | ) | `[inline, static]`

Definition at line 79 of file QxTimeNeutral.h.

bool qx::QxTimeNeutral::isValid | ( |  | ) | const`[inline]`

Definition at line 74 of file QxTimeNeutral.h.

template<class Archive >

void qx::QxTimeNeutral::serialize | ( | Archive & | ar,
|  | const unsigned int | file_version
| ) |  | `[inline, private]`

Definition at line 94 of file QxTimeNeutral.h.

void qx::QxTimeNeutral::setNeutral | ( | const QString & | neutral | ) | `[inline]`

Definition at line 77 of file QxTimeNeutral.h.

void qx::QxTimeNeutral::setTime | ( | const QTime & | time | ) | `[inline]`

Definition at line 76 of file QxTimeNeutral.h.

QString qx::QxTimeNeutral::toNeutral | ( |  | ) | const`[inline]`

Definition at line 73 of file QxTimeNeutral.h.

QTime qx::QxTimeNeutral::toTime | ( |  | ) | const`[inline]`

Definition at line 72 of file QxTimeNeutral.h.

void qx::QxTimeNeutral::update | ( |  | ) | `[inline, private]`

Definition at line 86 of file QxTimeNeutral.h.

## Friends And Related Function Documentation

friend class boost::serialization::access`[friend]`

Definition at line 58 of file QxTimeNeutral.h.

## Member Data Documentation

QString qx::QxTimeNeutral::m_neutral`[private]`

Data value under neutral format 'hhmmss'.

Definition at line 63 of file QxTimeNeutral.h.

QTime qx::QxTimeNeutral::m_time`[private]`

Data value under QTime format from Qt library.

Definition at line 62 of file QxTimeNeutral.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxDao/QxTimeNeutral.h